<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
SearchFacet searchFacet = (SearchFacet)request.getAttribute("facet_configuration.jsp-searchFacet");

JSONObject dataJSONObject = searchFacet.getData();

String displayStyle = dataJSONObject.getString("displayStyle", "cloud");
%>

<aui:select label="display-style" name='<%= searchFacet.getClassName() + "displayStyleFacet" %>'>
	<aui:option label="cloud" selected='<%= displayStyle.equals("cloud") %>' />
	<aui:option label="list" selected='<%= displayStyle.equals("list") %>' />
</aui:select>

<aui:input label="frequency-threshold" name='<%= searchFacet.getClassName() + "frequencyThreshold" %>' value='<%= dataJSONObject.getInt("frequencyThreshold") %>' />

<aui:input label="max-terms" name='<%= searchFacet.getClassName() + "maxTerms" %>' value='<%= dataJSONObject.getInt("maxTerms", 10) %>' />

<aui:input label="show-asset-count" name='<%= searchFacet.getClassName() + "showAssetCount" %>' type="checkbox" value='<%= dataJSONObject.getBoolean("showAssetCount", true) %>' />